DSRA_ELEMENT_DESC(3)

FUNCTION
dsra_element_desc - Read ASCII representation of an element descriptor.

SYNOPSIS
#include <karma_dsra.h>

flag dsra_element_desc

(Channel channel, unsigned int *type, char name[])

DESCRIPTION
Read ASCII representation of an element descriptor.

channel
    The channel object to read from.

type
    The type of the element is written here.

name
    The name of the element is written here. The length of the buffer must be <<STRING_LENGTH>> bytes.

RETURN VALUE
TRUE if a valid element descriptor was read, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/